- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreRectangle2D.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreSimpleRenderable.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::Rectangle2D
| Allows the rendering of a simple 2D rectangle This class renders a simple 2D rectangle; this rectangle has no depth and therefore is best used with specific render queue and depth settings, like RENDER_QUEUE_BACKGROUND and 'depth_write off' for backdrops, and RENDER_QUEUE_OVERLAY and 'depth_check off' for fullscreen quads. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008